<?xml version="1.0" encoding="UTF-8"?>
<mvvm:BaseContentPage   xmlns="http://xamarin.com/schemas/2014/forms" 
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:VIEWMODELS="clr-namespace:ProjetXamarin.vms" 
             xmlns:mvvm="clr-namespace:Storm.Mvvm.Forms;assembly=Storm.Mvvm.Forms"
             x:Class="ProjetXamarin.views.LieuPage"
             Title="Ajouter un lieu">

    <ContentPage.Content>
        <StackLayout>
            <Label Text="LIEU"/>

            <Button x:Name="mediaButton" Text="Prendre une capture" Command="{Binding TakeAPhoto}"/>
            <Button x:Name="galleryButton" Text="Choisir une image depuis votre téléphone" Command="{Binding TakeAnImage}"/>

            <Label Text="Nom :"/>
            <Entry x:Name="lieuNomEntry" Text="{Binding Nom,Mode=TwoWay}" />

            <Label Text="Description"/>
            <Entry x:Name="lieuDescEntry" Text="{Binding Description, Mode=TwoWay}"/>

            <Label Text="Latitude"/>
            <Entry x:Name="lieuLatEntry" Text="{Binding Latitude,Mode=TwoWay}"/>

            <Label Text="Longitude"/>
            <Entry x:Name="lieuLongEntry" Text="{Binding Longitude,Mode=TwoWay}"/>

            <Button x:Name="LieuValiderButton" Text="Confirmer" Command="{Binding NavigateToMainCommand}"/>
        </StackLayout>
    </ContentPage.Content>
</mvvm:BaseContentPage>